db.connect(1)

NAME
db.connect - Prints/sets general DB connection for current mapset and exits.

KEYWORDS
database, SQL

SYNOPSIS
db.connect
db.connect help
db.connect [-p] [driver=string] [database=string] [schema=string] [group=string]

  Flags:

-p  print current connection parameters and exit

  Parameters:

driver=string
    driver name: Options: dbf,pg,ogr

database=string
    Database name:

schema=string
    Database schema. Don't use this option if schemas are not supported by driver/database server.

group=string
    Default group of database users to which select privilege is granted.

DESCRIPTION
db.connect allows the user to set parameters for connection to database. These parameters are then taken by modules as default values and user do not need enter parameters each time. Values are stored in user file.

OPTIONS
Typing db.connect -p displays current connection parameters.

EXAMPLES

  DBF
Local storage (the dbf/ subdirectory in the mapset must exist or must be created by the user):
db.connect driver=dbf database='$GISDBASE/$LOCATION_NAME/$MAPSET/dbf/'
db.tables -p

  SQLite
Local storage:
db.connect driver=sqlite database='$GISDBASE/$LOCATION_NAME/$MAPSET/sqlite.db'
db.connect -p
db.tables -p

The SQLite database is created automatically when used the first time.

  ODBC
Network storage: (may require the use of db.login):

db.connect driver=odbc database=gtest
db.login user=myname pass=secret
db.connect -p
db.tables -p

  PostgreSQL
Network storage: (may require the use of db.login):
db.connect driver=pg database="host=myserver.itc.it,dbname=mydb"
db.login user=myname pass=secret
db.connect -p
db.tables -p

  PostgreSQL with different port
Network storage: (may require the use of db.login):
db.connect driver=pg database="host=myserver.itc.it,dbname=mydb,port=6666"
db.login user=myname pass=secret
db.connect -p
db.tables -p

  MySQL (local)
Local storage (db.login may not be needed):
db.connect driver=mysql database=mydb
db.login user=myname pass=secret
db.connect -p
db.tables -p

  MySQL (external server)
Network storage: (may require the use of db.login):
db.connect driver=mysql database="host=myserver.itc.it,dbname=mydb"
db.login user=myname pass=secret
db.connect -p
db.tables -p

NOTES
To connect a vector map to a database table, use v.db.connect or v.db.addtable.

SEE ALSO
db.columns, db.drivers, db.login, db.tables, v.db.addtable, v.db.connect, GRASS SQL interface

AUTHOR
Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2006/03/15 08:44:34 $

Full index